Skip to navigation

Add DataPolicy statements

Beta

Add policy statements to a DataPolicy. Acts as an upsert keyed on (itemType, action): for each incoming statement, any existing statement with the same item type and action is overwritten with the provided condition, and statements for other (itemType, action) pairs are left unchanged. Only DataPolicy objects can be edited.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

policy_idstringRequired
ID of the Policy.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
statementslist of objectsRequired

Policy statements to add. Any existing statement with the same item type and action is overwritten with the provided condition; other statements are left unchanged.

Response

OK
__typenamestringOptional
createdAtstringOptional
descriptionstring or nullOptional
idstringOptional
modifiedAtstringOptional
namestringOptional
policyStatementslist of objectsOptional
policyTypeenumOptional
Allowed values:

Errors

400
Policy Add Policy Statements Request Bad Request Error
403
Policy Add Policy Statements Request Forbidden Error
404
Policy Add Policy Statements Request Not Found Error
409
Policy Add Policy Statements Request Conflict Error
429
Policy Add Policy Statements Request Too Many Requests Error
500
Policy Add Policy Statements Request Internal Server Error